Timelog hours field format
Status: Closed Start date: 2008-03-28

Priority: Urgent Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Time tracking Estimated time: 0.00 hour

Target version: 0.7   

Resolution: Fixed   

Description

Is possible to use minutes like 0.30 -> 30 Minutes and not 0.50 -> 30 Minutes.

Related issues:

Related to Redmine - Defect #975: Spent time not entered correctly! Closed 2008-04-02

Associated revisions

Revision 1320 - 2008-04-02 21:52 - Jean-Philippe Lang

Accept the following formats for the timelog "hours" field: 1h, 1 h, 1 hour, 2 hours, 30m, 30min, 1h30, 1h30m, 1:30.

Also accept 1,5 for 1.5 hour (closes #975). Note that 1.5 is still equal to 1h30 and not 1h50 (#947).

History

#1 - 2008-03-28 15:03 - Jos Yule

What might be a nice alternative is to have time entry with a units value too.

So, for one hour you would enter: 1h (or "1 h" or "1 hour" or whatever)

For thirty minutes: 30m

This would remove the ambiguity of having to use .5 for 30 min.

#2 - 2008-03-29 10:52 - Jean-Philippe Lang

- Target version deleted (0.7)

#3 - 2008-04-02 13:21 - Maxim Krušina

I vote for:

1.5 = 1 hour and 30 minutes

1h30m = 1 hour and 30 minutes

I think it was same in Trac, someone can look up ;)

#4 - 2008-04-02 21:39 - Jean-Philippe Lang

- Subject changed from Time Tracker to Timelog hours field format

- Target version set to 0.7

I also propose:

1:30 = 1 hour and 30 minutes

But as Maxim said, 0.50 hours = 30 min, not 50 min.

#5 - 2008-04-02 21:59 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Fixed

You can now use 1:30 for example the remove the ambiguity. See r1320.
#6 - 2008-04-04 09:02 - Maxim Krušina

What about to put exact description into Wiki? It should be handy for everyone! I'm just writing description for our team ;)
